XpCancelJob(3Xp)

NAME
XpCancelJob - Cancels a single print job.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

void XpCancelJob ( display, discard )
      Display *display;
      Bool discard;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

discard
    When TRUE, specifies that all XPPrintNotify events should be discarded.

DESCRIPTION

XpCancelJob cancels an in-progress job. If the job was started with output_mode XPGetData then the data stream to XpGetDocumentData is terminated. For many page description languages such arbitrary termination may invalidate the output. If the job was started with output_mode XPSpool then depending on the driver and spooler configuration the entire job may be canceled or a partial job may be generated. If discard is TRUE, all XPPrintNotify events with a detail field of XPEndPageNotify, XPEndDocNotify, or XPEndJobNotify are discarded before XpCancelJob returns. For clients selecting XPPrintMask (see XpSelectInput), the event XPPrintNotify will be generated with its detail field set to XPEndJobNotify.

DIAGNOSTICS

XPBadContext
    A valid print context-id has not been set prior to making this call.

XPBadSequence
    The function was not called in the proper order with respect to the other X Print Service Extension calls (for example, XpEndJob prior to XpStartJob).

SEE ALSO
XpEndJob(3Xp), XpGetDocumentData(3Xp), XpSelectInput(3Xp), XpStartJob(3Xp)